Bug 1249269 - [abrt] tomahawk: tomahawk killed by SIGSEGV
[abrt] tomahawk: tomahawk killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tomahawk (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c9219cc1e89be3c03c5630f0bb1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-01 00:00 EDT by Dave Botsch
Modified: 2015-12-02 13:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:44:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (70.01 KB, text/plain)
2015-08-01 00:00 EDT, Dave Botsch
no flags Details
File: cgroup (189 bytes, text/plain)
2015-08-01 00:00 EDT, Dave Botsch
no flags Details
File: core_backtrace (30.38 KB, text/plain)
2015-08-01 00:00 EDT, Dave Botsch
no flags Details
File: dso_list (18.63 KB, text/plain)
2015-08-01 00:00 EDT, Dave Botsch
no flags Details
File: environ (3.09 KB, text/plain)
2015-08-01 00:00 EDT, Dave Botsch
no flags Details
File: exploitable (81 bytes, text/plain)
2015-08-01 00:00 EDT, Dave Botsch
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-01 00:00 EDT, Dave Botsch
no flags Details
File: maps (97.07 KB, text/plain)
2015-08-01 00:00 EDT, Dave Botsch
no flags Details
File: open_fds (2.58 KB, text/plain)
2015-08-01 00:00 EDT, Dave Botsch
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2015-08-01 00:00 EDT, Dave Botsch
no flags Details

  None (edit)
Description Dave Botsch 2015-08-01 00:00:31 EDT
Description of problem:
simply typed in "tomahawk" at the commandline. 

Version-Release number of selected component:
tomahawk-0.8.4-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        tomahawk
executable:     /usr/bin/tomahawk
kernel:         4.0.8-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 QFactoryLoader::instance at plugin/qfactoryloader.cpp:276
 #2 QIcon::addFile at image/qicon.cpp:843
 #3 QIcon::QIcon at image/qicon.cpp:565
 #4 TomahawkTrayIcon::onSocialActionsLoaded at /usr/src/debug/tomahawk-0.8.4/src/tomahawk/TomahawkTrayIcon.cpp:321
 #5 TomahawkTrayIcon::setResult at /usr/src/debug/tomahawk-0.8.4/src/tomahawk/TomahawkTrayIcon.cpp:170
 #6 TomahawkTrayIcon::onStop at /usr/src/debug/tomahawk-0.8.4/src/tomahawk/TomahawkTrayIcon.cpp:282
 #7 TomahawkTrayIcon::TomahawkTrayIcon at /usr/src/debug/tomahawk-0.8.4/src/tomahawk/TomahawkTrayIcon.cpp:99
 #8 TomahawkWindow::TomahawkWindow at /usr/src/debug/tomahawk-0.8.4/src/tomahawk/TomahawkWindow.cpp:139
 #9 TomahawkApp::onInfoSystemReady at /usr/src/debug/tomahawk-0.8.4/src/tomahawk/TomahawkApp.cpp:635
Comment 1 Dave Botsch 2015-08-01 00:00:34 EDT
Created attachment 1058210 [details]
File: backtrace
Comment 2 Dave Botsch 2015-08-01 00:00:35 EDT
Created attachment 1058211 [details]
File: cgroup
Comment 3 Dave Botsch 2015-08-01 00:00:36 EDT
Created attachment 1058212 [details]
File: core_backtrace
Comment 4 Dave Botsch 2015-08-01 00:00:37 EDT
Created attachment 1058213 [details]
File: dso_list
Comment 5 Dave Botsch 2015-08-01 00:00:38 EDT
Created attachment 1058214 [details]
File: environ
Comment 6 Dave Botsch 2015-08-01 00:00:39 EDT
Created attachment 1058215 [details]
File: exploitable
Comment 7 Dave Botsch 2015-08-01 00:00:40 EDT
Created attachment 1058216 [details]
File: limits
Comment 8 Dave Botsch 2015-08-01 00:00:42 EDT
Created attachment 1058217 [details]
File: maps
Comment 9 Dave Botsch 2015-08-01 00:00:43 EDT
Created attachment 1058218 [details]
File: open_fds
Comment 10 Dave Botsch 2015-08-01 00:00:44 EDT
Created attachment 1058219 [details]
File: proc_pid_status
Comment 11 Fedora End Of Life 2015-11-04 05:59:02 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-12-02 09:45:02 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.